// Metals Shader

textures/moses4_tech-metals/mtlsportal 
{  
	  cull disable	 
        surfaceparm nomarks 
        surfaceparm trans 
        sort additive	  
        { 
	        clampmap textures/moses4_tech-metals/mtlsportal_fx1.tga  
		blendFunc add   
                tcmod rotate -100 
                rgbGen identity 
        } 
        { 
	         
	        clampmap textures/moses4_tech-metals/mtlsportal_fx2.tga 
		blendFunc add  
                tcmod rotate 100   
                rgbGen identity 
	}
        { 
	         
	        clampmap textures/moses4_tech-metals/mtlsportal_fx3.tga 
		blendFunc add   
                tcmod rotate 10   
                rgbGen identity 
	}
 
        { 
	        clampmap textures/moses4_tech-metals/mtlsportal.tga 
		alphaFunc GE128 
                depthWrite 
	        rgbGen identity 
	} 
        { 
		map $lightmap 
		rgbGen identity 
		blendFunc GL_DST_COLOR GL_ZERO 
		depthFunc equal 
	}       
}
textures/moses4_tech-metals/flrgrate 
{        
          
        { 
		map textures/moses4_tech-metals/flrgrate.tga 
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen identity 
	} 
        { 
		map $lightmap 
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
}  
textures/moses4_tech-metals/mtlflrslots
{        
         
        { 
		map textures/moses4_tech-metals/mtlflrslots.tga 
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen identity 
	} 
        { 
		map $lightmap 
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
}

textures/moses4_tech-metals/drkmtl_grlpltmech 
{
	{
		map textures/moses4_tech-metals/drkmtl_grlpltmech.tga 
		//blendfunc blend  
		rgbGen identity 
	}
	{
		map textures/moses4_tech-metals/drkmtl_grlpltmech_fx2.tga 
		blendfunc add 
		tcmod scroll 0 -3          
 
	}
	{
		map textures/moses4_tech-metals/drkmtl_grlpltmech_fx.tga 
		blendfunc add 
		tcmod scroll 0 1.6            
 
	}
	{
		map textures/moses4_tech-metals/drkmtl_grlpltmech_fx.tga 
		blendfunc add 
		tcmod scroll 0 -5            
 
	}
{
		map textures/moses4_tech-metals/drkmtl_grlpltmech_fx.tga 
		blendfunc add 
		rgbgen wave sin 1.1 .1 1 1     
       		tcmod scroll 0  2.8     

  }
	{
		map textures/moses4_tech-metals/drkmtl_grlpltmech.tga 
		blendfunc blend  
		rgbGen identity 
	}	
	
	{
		map $lightmap 
		rgbGen identity 
		blendfunc filter 
	}
}
textures/moses4_tech-metals/mtlbrushed
{    
qer_editorimage textures/moses4_tech-metals/mtlbrushed.tga 
        { 
                map textures/moses4_tech-metals/mtlbrushed_env.tga       
                tcGen environment 
                rgbGen identity 
	}    
        { 
		map textures/moses4_tech-metals/mtlbrushed.tga 
                blendFunc gl_dst_color gl_zero 
		rgbGen identity 
	}  
        { 
		map $lightmap 
       		blendfunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		rgbGen identity 
	} 
} 
textures/moses4_tech-metals/eshinytin
{    
qer_editorimage textures/moses4_tech-metals/eshinytin.tga 
        { 
                map textures/effects/tinfx.tga  
                tcGen environment 
		rgbGen identity 
                tcmod scale 0.55 1 
	}   
      { 
		map $lightmap 
       		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
	{ 
		map textures/moses4_tech-metals/eshinytin.tga 
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		rgbGen identity 
	} 
        { 
		map $lightmap 
       		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
}
textures/moses4_tech-metals/mtlpanel_wrnstripe_ow2         
{         
        { 
		map textures/moses4_tech-metals/mtlpnl_wrnstrpow2_glow.tga 
       		rgbGen wave sin 0.5 0.5 0 1  
		blendfunc GL_ONE GL_ONE   
	} 
        { 
		map textures/moses4_tech-metals/mtlpnl_wrnstrpow2_glow.tga 
       		//rgbGen wave sin 0.5 0.5 0 1  
		blendfunc GL_ONE GL_ONE   
	}
        { 
		map textures/moses4_tech-metals/mtlpanel_wrnstripe_ow2.tga 
       		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen identity 
	} 

        { 
		map $lightmap 
       		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
}
//
textures/moses4_tech-metals/mtltekfloor
{ 
	 
	q3map_surfacelight 100 
	q3map_lightimage textures/moses4_tech-metals/mtltekfloor_fx.tga     
	{ 
		map textures/base_wall/chrome_env.tga  
	        rgbGen identity 
		tcGen environment 
		tcmod scale .25 .25 
	} 
	 
	{ 
		map textures/moses4_tech-metals/mtltekfloor.tga  
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	 
		rgbGen identity 
	} 
	{ 
		map $lightmap 
		blendfunc gl_dst_color gl_zero 
		rgbGen identity 
	}     
	{ 
		map textures/moses4_tech-metals/mtltekfloor_fx.tga 
		blendFunc GL_ONE GL_ONE 
		rgbGen wave sin 0.5 0.5 0 .2 
	} 
	{ 
		map textures/moses4_tech-metals/mtltekfloor_fx2.tga 
		blendFunc GL_ONE GL_ONE 
		//rgbGen wave sin 0.5 0.5 0 .2 
	} 
} 
textures/moses4_tech-metals/wrnjumppad 
{ 
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/moses4_tech-metals/wrnjumppad.tga 
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{ 
		map textures/moses4_tech-metals/wrnjumppad_glow.tga 
		rgbGen wave sin 0.5 0.5 1 1 
		blendfunc GL_ONE GL_ONE 
	} 
}  
